<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="tabs/tab1"></ion-back-button>
    </ion-buttons>
    <ion-title>Meu carrinho</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item-sliding text-center *ngFor="let b of produtos; let i = index;">
      <h3 style="color: var(--ion-color-primary);">Pedido - {{ i+1 }}</h3>
      <ion-item *ngFor="let bo of b.produtos" button [routerLink]="['/details', bo.bolo.id]">
        <ion-thumbnail slot="start">
          <img [src]="bo.bolo.imagem">
        </ion-thumbnail>

        <ion-label>
          {{bo.qtde }} {{bo.bolo.nome }}
          <p>{{bo.bolo.descricao }}</p>
        </ion-label>

        <ion-note color="primary" slot="end" *ngIf="bo.bolo.preco">{{ bo.bolo.preco | currency: 'BRL' }}</ion-note>
      </ion-item>
    </ion-item-sliding>
    <ion-card *ngIf="!produtos.length">
        <ion-card-header color="light">
          <h4>Ainda não há pedidos</h4>
        </ion-card-header>
      </ion-card>
  </ion-list>

</ion-content>